#pragma once

#include "CoreMinimal.h"
#include "UniquelyIdentifiedAnalytic.h"
#include "BootStepAnalytics.generated.h"

USTRUCT(BlueprintType)
struct FBootStepAnalytics : public FUniquelyIdentifiedAnalytic
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString BootGuid;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString StepName;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 StepOrder;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString StepStartTime;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float StepElapsedTime;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float TotalElapsedTime;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool Result;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString ResultReason;

public:
	DBDANALYTICS_API FBootStepAnalytics();
};

FORCEINLINE uint32 GetTypeHash(const FBootStepAnalytics) { return 0; }
